diff --recursive --unified=5 src/main-ros.c src-riscos/main-ros.c
--- src/main-ros.c	Sun May 12 17:18:12 2002
+++ src-riscos/main-ros.c	Thu May 30 16:52:56 2002
@@ -5557,34 +5974,34 @@
 
 /*--------------------------------------------------------------------------*/
 /* (Simple) Heap management (using OS_Heap)									*/
 /*--------------------------------------------------------------------------*/
 
-typedef void* heap;
+typedef void *heap;
 
-static os_error *Heap_Initialise( heap h, size_t size )
+static os_error *Heap_Initialise(heap h, size_t size)
 {
-	return SWI( 4,0, SWI_OS_Heap, 0, h, 0, size );
+	return SWI(4, 0, SWI_OS_Heap, 0, h, 0, size);
 }
 
-static void *Heap_Claim( heap h, size_t size )
+static void *Heap_Claim(heap h, size_t size)
 {
 	void *fred;
 	os_error *e;
-	e = SWI( 4,3, SWI_OS_Heap, 2, h, 0, size, NULL, NULL, &fred );
+	e = SWI(4, 3, SWI_OS_Heap, 2, h, 0, size, NULL, NULL, &fred);
 	return e ? NULL : fred;
 }
 
-static os_error *Heap_Release( heap h, void *block )
+static os_error *Heap_Release(heap h, void *block)
 {
-	return SWI( 3,0, SWI_OS_Heap, 3, h, block );
+	return SWI(3, 0, SWI_OS_Heap, 3, h, block);
 }
 
-static int Heap_ChangeHeapSize( heap h, int resize_by )
+static int Heap_ChangeHeapSize(heap h, int resize_by)
 {
 	int by;
-	SWI( 4,4, SWI_OS_Heap, 5,h,0,resize_by, 0,0,0,&by );
+	SWI(4, 4, SWI_OS_Heap, 5, h, 0, resize_by, 0, 0, 0, &by);
 	return by;
 }
 
 
 
@@ -5592,39 +6009,39 @@
 
 /*--------------------------------------------------------------------------*/
 /* Stuff below here is for using Dynamic areas (under RO3.5+)				*/
 /*--------------------------------------------------------------------------*/
 
-static int game_area = -1;			/* The DA the game is using */
-static int font_area = -1;			/* The DA the fonts are using */
+static int game_area = -1;	/* The DA the game is using */
+static int font_area = -1;	/* The DA the fonts are using */
 
-static void *game_area_base;		/* base address of game area */
-static void *font_area_base;		/* base address of font area */
+static void *game_area_base;	/* base address of game area */
+static void *font_area_base;	/* base address of font area */
 
-static int font_area_size;			/* size of the fonts' DA */
-static int font_heap_size;			/* size of the fonts' heap */
-static int game_area_size;			/* size of the game's DA */
-static int game_heap_size;			/* size of the game's heap */
-
-#define MAX_F_DA_SIZE (2<<20)		/* Max size of font area (2Mb) */
-#define MAX_G_DA_SIZE (4<<20)		/* Max size of game area (4Mb) */
-#define SHRINK_GRAN (4<<10)			/* Try to recalaim wastage > this (4Kb) */
+static int font_area_size;	/* size of the fonts' DA */
+static int font_heap_size;	/* size of the fonts' heap */
+static int game_area_size;	/* size of the game's DA */
+static int game_heap_size;	/* size of the game's heap */
+
+#define MAX_F_DA_SIZE (2<<20)	/* Max size of font area (2Mb) */
+#define MAX_G_DA_SIZE (4<<20)	/* Max size of game area (4Mb) */
+#define SHRINK_GRAN (4<<10)		/* Try to recalaim wastage > this (4Kb) */
 
 /*
  | Free dynamic areas when we exit
  */
-static void cleanup_memory( void )
+static void cleanup_memory(void)
 {
-	if ( game_area != -1 )
+	if (game_area != -1)
 	{
-		SWI( 2,0, SWI_OS_DynamicArea, 1, game_area );
+		SWI(2, 0, SWI_OS_DynamicArea, 1, game_area);
 		game_area = -1;
 	}
 
-	if ( font_area != -1 )
+	if (font_area != -1)
 	{
-		SWI( 2,0, SWI_OS_DynamicArea, 1, font_area );
+		SWI(2, 0, SWI_OS_DynamicArea, 1, font_area);
 		font_area = -1;
 	}
 
 }
 
@@ -5640,167 +6057,187 @@
  | Each area is created 16Kb in size, with a max size of 2/4Mb.
  |
  | If 'daf' is TRUE, an area is created for the fonts.
  | If 'dag' is TRUE, an area is created for the game.
  */
-static void init_memory( int daf, int dag )
+static void init_memory(int daf, int dag)
 {
 	os_error *e = NULL;
 
-	if ( !daf )
+	if (!daf)
 	{
 		/* Paranoia */
 		font_area = -1;
 		font_area_base = 0;
 	}
 	else
 	{
-		e = SWI(
-				9,4,
-				SWI_OS_DynamicArea,
-				0,						/* Create */
-				-1,						/* Let OS allocate no. */
-				16<<10,					/* Initial size */
-				-1,						/* Let OS allocate address */
-				1<<7,					/* Cacheable, bufferable, RW */
-				MAX_F_DA_SIZE,			/* Max size */
-				0,						/* handler */
-				0,						/* handler workspace */
+		e = SWI(9, 4, SWI_OS_DynamicArea, 0,	/* Create */
+				-1,				/* Let OS allocate no. */
+				16 << 10,		/* Initial size */
+				-1,				/* Let OS allocate address */
+				1 << 7,			/* Cacheable, bufferable, RW */
+				MAX_F_DA_SIZE,	/* Max size */
+				0,				/* handler */
+				0,				/* handler workspace */
 				VARIANT " font data",	/* Name */
 				/* */
-				NULL,					/* r0 */
-				&font_area,				/* area number allocated */
-				NULL,					/* r2 */
-				&font_area_base			/* base address of area */
+				NULL,			/* r0 */
+				&font_area,		/* area number allocated */
+				NULL,			/* r2 */
+				&font_area_base	/* base address of area */
 			);
 
-		if ( e )
+		if (e)
 		{
 			game_area = font_area = -1;
-			game_area_base = font_area_base = 0;		/* paranoia */
+			game_area_base = font_area_base = 0;	/* paranoia */
 			return;
 		}
 		else
 		{
-			e = SWI( 2,3, SWI_OS_DynamicArea, 2, font_area,
-												 NULL,NULL, &font_area_size );
-			if ( e ) { Error_ReportFatal( e->errnum, "%d:%s", e->errmess ); }
+			e = SWI(2, 3, SWI_OS_DynamicArea, 2, font_area,
+					NULL, NULL, &font_area_size);
+			if (e)
+			{
+				Error_ReportFatal(e->errnum, "%d:%s", e->errmess);
+			}
 
-			e = Heap_Initialise( (heap)font_area_base,font_area_size );
-			if ( e ) { Error_ReportFatal( e->errnum, "%d:%s", e->errmess ); }
+			e = Heap_Initialise((heap) font_area_base, font_area_size);
+			if (e)
+			{
+				Error_ReportFatal(e->errnum, "%d:%s", e->errmess);
+			}
 			font_heap_size = font_area_size;
 		}
 	}
 
 	/* Make sure DA(s) are removed when we quit */
-	atexit( cleanup_memory );
+	atexit(cleanup_memory);
 
-	if ( !dag )
+	if (!dag)
 	{
 		/* Paranoia */
 		game_area = -1;
 		game_area_base = 0;
 	}
 	else
 	{
-		e = SWI(
-				9,4,
-				SWI_OS_DynamicArea,
-				0,						/* Create */
-				-1,						/* Let OS allocate no. */
-				16<<10,					/* Initial size */
-				-1,						/* Let OS allocate address */
-				1<<7,					/* Cacheable, bufferable, RW */
-				MAX_G_DA_SIZE,			/* Max size */
-				0,						/* handler */
-				0,						/* handler workspace */
+		e = SWI(9, 4, SWI_OS_DynamicArea, 0,	/* Create */
+				-1,				/* Let OS allocate no. */
+				16 << 10,		/* Initial size */
+				-1,				/* Let OS allocate address */
+				1 << 7,			/* Cacheable, bufferable, RW */
+				MAX_G_DA_SIZE,	/* Max size */
+				0,				/* handler */
+				0,				/* handler workspace */
 				VARIANT " game data",	/* Name */
 				/* */
-				NULL,					/* r0 */
-				&game_area,				/* area number allocated */
-				NULL,					/* r2 */
-				&game_area_base			/* base address of area */
+				NULL,			/* r0 */
+				&game_area,		/* area number allocated */
+				NULL,			/* r2 */
+				&game_area_base	/* base address of area */
 			);
 
-		if ( e )
+		if (e)
 		{
 			game_area = -1;
-			game_area_base = 0;			/* paranoia */
+			game_area_base = 0;	/* paranoia */
 		}
 		else
 		{
-			e = SWI( 2,3, SWI_OS_DynamicArea, 2, game_area,
-												 NULL,NULL, &game_area_size );
-			if ( e ) { Error_ReportFatal( e->errnum, "%d:%s", e->errmess ); }
+			e = SWI(2, 3, SWI_OS_DynamicArea, 2, game_area,
+					NULL, NULL, &game_area_size);
+			if (e)
+			{
+				Error_ReportFatal(e->errnum, "%d:%s", e->errmess);
+			}
 
-			e = Heap_Initialise( (heap)game_area_base,game_area_size );
-			if ( e ) { Error_ReportFatal( e->errnum, "%d:%s", e->errmess ); }
+			e = Heap_Initialise((heap) game_area_base, game_area_size);
+			if (e)
+			{
+				Error_ReportFatal(e->errnum, "%d:%s", e->errmess);
+			}
 			game_heap_size = game_area_size;
 		}
 	}
 }
 
 
-static int grow_dynamicarea( int area, int by )
+static int grow_dynamicarea(int area, int by)
 {
 	os_error *e;
-	e = SWI( 2,2, SWI_OS_ChangeDynamicArea, area, by, /**/ NULL, &by );
+	e = SWI(2, 2, SWI_OS_ChangeDynamicArea, area, by, /**/ NULL, &by);
 	/* Can't check errors since a 'failed' shrink returns one... */
 	return by;
 }
 
 
 /*
  | Try to shrink the font-cache heap and area as much as possible.
  */
-static void f_shrink_heap( void )
+static void f_shrink_heap(void)
 {
 	int s;
 	/* Shrink the heap as far as possible */
-	font_heap_size -= Heap_ChangeHeapSize( (heap)font_area_base, -MAX_F_DA_SIZE );
+	font_heap_size -=
+		Heap_ChangeHeapSize((heap) font_area_base, -MAX_F_DA_SIZE);
 	/* Shrink the dynamic area if necessary */
-	s = font_area_size-font_heap_size;
-	if ( s>=SHRINK_GRAN )
-		font_area_size -= grow_dynamicarea(font_area,-s);
+	s = font_area_size - font_heap_size;
+	if (s >= SHRINK_GRAN)
+		font_area_size -= grow_dynamicarea(font_area, -s);
 }
 
 
 /*
  | Allocate a block of memory in the font heap
  */
-static void *f_malloc( size_t size )
+static void *f_malloc(size_t size)
 {
 	void *c;
 	int s;
-	if ( font_area==-1 ) { return malloc(size); }
-	c = Heap_Claim( (heap)font_area_base,size );
+	if (font_area == -1)
+	{
+		return malloc(size);
+	}
+	c = Heap_Claim((heap) font_area_base, size);
 
-	if ( !c )
+	if (!c)
 	{
 		/* The Claim failed.  Try to grow the area by the size of the block */
-		s=grow_dynamicarea(font_area,size+64);		/* 64 is overkill */
-		if ( !s ) { return NULL; }
+		s = grow_dynamicarea(font_area, size + 64);	/* 64 is overkill */
+		if (!s)
+		{
+			return NULL;
+		}
 		font_area_size += s;
 		s = font_area_size - font_heap_size;
-		font_heap_size += Heap_ChangeHeapSize((heap)font_area_base,s);
-		c = Heap_Claim( (heap)font_area_base,size );
-		if ( c ) { f_shrink_heap(); }
+		font_heap_size += Heap_ChangeHeapSize((heap) font_area_base, s);
+		c = Heap_Claim((heap) font_area_base, size);
+		if (c)
+		{
+			f_shrink_heap();
+		}
 	}
 	return c;
 }
 
 
 /*
  | Free a block of memory in the font heap
  */
-static void f_free( void *blk )
+static void f_free(void *blk)
 {
 	os_error *e;
-	if ( font_area==-1 ) { free(blk); return; }
-	e = Heap_Release( (heap)font_area_base, blk );
-	if ( e )
-		Msgs_ReportFatal( e->errnum, "err.swi", __LINE__, e->errmess );
+	if (font_area == -1)
+	{
+		free(blk);
+		return;
+	}
+	e = Heap_Release((heap) font_area_base, blk);
+	if (e)
+		Msgs_ReportFatal(e->errnum, "err.swi", __LINE__, e->errmess);
 	f_shrink_heap();
 }
 
 
 
@@ -5810,36 +6247,42 @@
 /*
  | Allocate a block of memory in the game heap
  |
  | The 'huge' is to be type-compatible with z-virt.c
  */
-static vptr g_malloc( huge size )
+static vptr g_malloc(huge size)
 {
 	void *c;
 	int s;
 
-	if ( game_area==-1 ) { return malloc((size_t)size); }
-	c = Heap_Claim( (heap)game_area_base,(size_t)size+4 );
-	if ( !c )
+	if (game_area == -1)
+	{
+		return malloc((size_t) size);
+	}
+	c = Heap_Claim((heap) game_area_base, (size_t) size + 4);
+	if (!c)
 	{
 		/* The Claim failed.  Try to grow the area by the size of the block */
-		s=grow_dynamicarea(game_area,(size_t)size+64);		/* 64 is overkill */
-		if ( !s ) { return NULL; }
+		s = grow_dynamicarea(game_area, (size_t) size + 64);	/* 64 is overkill */
+		if (!s)
+		{
+			return NULL;
+		}
 		game_area_size += s;
 		s = game_area_size - game_heap_size;
-		game_heap_size += Heap_ChangeHeapSize((heap)game_area_base,s);
-		c = Heap_Claim( (heap)game_area_base,(size_t)size+4 );
+		game_heap_size += Heap_ChangeHeapSize((heap) game_area_base, s);
+		c = Heap_Claim((heap) game_area_base, (size_t) size + 4);
 	}
 
-	if ( c )
+	if (c)
 	{
-		strcpy( (char*)c, "MUSH" );
-		c = (void*) (((int)c)+4);
+		strcpy((char *)c, "MUSH");
+		c = (void *)(((int)c) + 4);
 	}
 
-	if ( log_g_malloc )
-		fprintf(stderr,"ralloc(%ld) == %p\n",size,c);
+	if (log_g_malloc)
+		fprintf(stderr, "ralloc(%ld) == %p\n", size, c);
 
 	return c;
 }
 
 
@@ -5847,35 +6290,41 @@
  | Free a block of memory in the game heap
  |
  | The 'len' is to be compatible with z-virt.c (we don't need/use it)
  | Returns NULL.
  */
-static vptr g_free( vptr blk )
+static vptr g_free(vptr blk)
 {
 	os_error *e;
 	int s;
 
-	if ( game_area==-1 ) { free(blk); return NULL; }
+	if (game_area == -1)
+	{
+		free(blk);
+		return NULL;
+	}
 
-	if ( log_g_malloc )
-		fprintf(stderr,"rnfree(%p)\n",blk);
+	if (log_g_malloc)
+		fprintf(stderr, "rnfree(%p)\n", blk);
 
-	if ( strncmp(((char*)blk)-4,"MUSH",4) )
+	if (strncmp(((char *)blk) - 4, "MUSH", 4))
 		core("game heap corrupt / bad attempt to free memory");
 
-	blk = (void*) (((int)blk)-4);
+	blk = (void *)(((int)blk) - 4);
 
-	e = Heap_Release( (heap)game_area_base, blk );
-	if ( e )
-		Msgs_ReportFatal( e->errnum, "err.swi", __LINE__, e->errmess );
+	e = Heap_Release((heap) game_area_base, blk);
+	if (e)
+		Msgs_ReportFatal(e->errnum, "err.swi", __LINE__, e->errmess);
 
 	/* Shrink the heap as far as possible */
-	game_heap_size -= Heap_ChangeHeapSize( (heap)game_area_base, -MAX_G_DA_SIZE );
+	game_heap_size -=
+		Heap_ChangeHeapSize((heap) game_area_base, -MAX_G_DA_SIZE);
+		
 	/* Shrink the dynamic area if necessary */
-	s = game_area_size-game_heap_size;
-	if ( s>=SHRINK_GRAN )
-		game_area_size -= grow_dynamicarea(game_area,-s);
+	s = game_area_size - game_heap_size;
+	if (s >= SHRINK_GRAN)
+		game_area_size -= grow_dynamicarea(game_area, -s);
 
 	return NULL;
 }
 
 
@@ -5909,19 +6358,21 @@
 /*
  | The list format:
  */
 typedef struct samp_node
 {
-	char				sample_name[MAX_SAMPNAME_LEN+1];	/* Sample name */
-	struct samp_node	*next;					/* -> next node */
-} SampNode;
+	char sample_name[MAX_SAMPNAME_LEN + 1];	/* Sample name */
+	struct samp_node *next;	/* -> next node */
+}
+SampNode;
 
 typedef struct samp_info
 {
-	int			samples;			/* # samples for this event */
-	SampNode	*samplist;			/* list of sample names */
-} SampInfo;
+	int samples;	/* # samples for this event */
+	SampNode *samplist;	/* list of sample names */
+}
+SampInfo;
 
 
 /*
  | Just need an array of SampInfos
  */
@@ -5932,170 +6383,191 @@
  | valid.
  */
 static int sound_initd = 0;
 
 
-static void read_sound_config( void )
+static void read_sound_config(void)
 {
 	int i;
 	char buffer[2048];
 	FILE *f;
-	int max_sampname_len = truncate_names() ? 10 : MAX_SAMPNAME_LEN;
+	int max_sampname_len = truncate_names()? 10 : MAX_SAMPNAME_LEN;
 	FILE *dbo = NULL;
 
-	if ( show_sound_alloc )
+	if (show_sound_alloc)
 	{
-		sprintf(buffer,"%s%s",resource_path,"sndmap/out");
-		dbo = fopen( buffer,"w" );
-		if ( !dbo ) { core("can't create sndmap/out debugging file"); }
+		sprintf(buffer, "%s%s", resource_path, "sndmap/out");
+		dbo = fopen(buffer, "w");
+		if (!dbo)
+		{
+			core("can't create sndmap/out debugging file");
+		}
 	}
 
-	if ( !sound_initd )
+	if (!sound_initd)
 	{
 		/* Initialise the sample array */
-		for ( i=0; i<SOUND_MAX; i++ )
+		for (i = 0; i < SOUND_MAX; i++)
 		{
 			sample[i].samples = 0;
 			sample[i].samplist = NULL;
 		}
 		sound_initd = 1;
 	}
 	else
 	{
 		/* Deallocate the sample lists */
-		for ( i=0; i<SOUND_MAX; i++ )
+		for (i = 0; i < SOUND_MAX; i++)
 		{
 			SampNode *si = sample[i].samplist;
 			sample[i].samples = 0;
 			sample[i].samplist = NULL;
-			while ( si )
+			while (si)
 			{
 				SampNode *ns = si->next;
 				free(si);
 				si = ns;
 			}
 		}
 	}
 
 
 	/* Open the config file */
-	sprintf(buffer,"%s%s",SOUNDPATH,"sound/cfg");
-	f = fopen( buffer, "r" );
+	sprintf(buffer, "%sSound:%s", RISCOS_VARIANT, "sound/cfg");
+	f = fopen(buffer, "r");
 
 	/* No cfg file => no sounds */
-	if ( !f )
+	if (!f)
 	{
-		if ( show_sound_alloc )
+		if (show_sound_alloc)
 		{
-			fprintf(dbo,"** Can't open cfg file '%s'\n",buffer);
+			fprintf(dbo, "** Can't open cfg file '%s'\n", buffer);
 			fclose(dbo);
 		}
 		return;
 	}
 
 	/* Parse the file */
-	while ( fgets( buffer,2048,f ) )
+	while (fgets(buffer, 2048, f))
 	{
 		char *sample_name;
-		int  event_number;
+		int event_number;
 
 		/* Skip comments and lines that begin with whitespace */
-		if ( *buffer=='#' || isspace(*buffer) ) { continue; }
+		if (*buffer == '#' || isspace(*buffer))
+		{
+			continue;
+		}
 
 		/* Hack: ignore any line beginning '[' (section marker) */
-		if ( *buffer=='[' ) { continue; }
+		if (*buffer == '[')
+		{
+			continue;
+		}
 
 		/* Place a NULL after the event name and find the first sample name */
 		sample_name = buffer;
-		while ( *sample_name && !isspace(*sample_name) )
+		while (*sample_name && !isspace(*sample_name))
 			sample_name++;
 
 		/* Bad line? */
-		if ( *sample_name == 0 ) { continue; }		/* just ignore it */
+		if (*sample_name == 0)
+		{
+			continue;
+		}						/* just ignore it */
 
 		/* Terminate the sample name */
 		*sample_name++ = 0;
 
 		/* Look up the event name to get the event number */
-		for ( event_number=SOUND_MAX-1; event_number>=0; event_number-- )
-			if ( !strcmp(buffer,angband_sound_name[event_number]) )
+		for (event_number = SOUND_MAX - 1; event_number >= 0; event_number--)
+			if (!strcmp(buffer, angband_sound_name[event_number]))
 				break;
 
 		/* No match -> just ignore the line */
-		if ( event_number<0 )
+		if (event_number < 0)
 		{
 			if (show_sound_alloc)
-				fprintf(dbo,"* Ignoring unknown event '%s'\n",buffer);
+				fprintf(dbo, "* Ignoring unknown event '%s'\n", buffer);
 			continue;
 		}
 
 		/* Find the = */
-		while ( *sample_name && *sample_name != '=' )
+		while (*sample_name && *sample_name != '=')
 			sample_name++;
 
 		/* Bad line? */
-		if ( *sample_name == 0 ) { continue; }		/* just ignore it */
+		if (*sample_name == 0)
+		{
+			continue;
+		}						/* just ignore it */
 
 		/* Skip the '=' */
 		sample_name++;
 
 
 		/*
-		 | Now we find all the sample names and add them to the
-		 | appropriate list in the sample mapping array
+		   | Now we find all the sample names and add them to the
+		   | appropriate list in the sample mapping array
 		 */
 
-		while ( *sample_name )
+		while (*sample_name)
 		{
 			char *s;
 			SampNode *sn;
 
 			/* Find the start of the next word */
-			while ( isspace(*sample_name) && *sample_name )
+			while (isspace(*sample_name) && *sample_name)
 				sample_name++;
 
 			/* End of line? */
-			if ( !*sample_name ) { break; }
+			if (!*sample_name)
+			{
+				break;
+			}
 
 			/* Find the end of the sample name */
-			s = sample_name;					/* start of the name */
-			while ( !isspace(*sample_name) && *sample_name )
+			s = sample_name;	/* start of the name */
+			while (!isspace(*sample_name) && *sample_name)
 				sample_name++;
 
 			/* Hack: shorten sample names that are too long */
-			if ( (sample_name-s) > max_sampname_len )
+			if ((sample_name - s) > max_sampname_len)
 				s[max_sampname_len] = ' ';
 
 			/* Allocate a node in the sample list for the event */
-			if ( (sn=malloc(sizeof(SampNode))) == NULL )
+			if ((sn = malloc(sizeof(SampNode))) == NULL)
 				core("Out of memory (scanning sound.cfg)");
 
 			/* Link the node to the list */
 			sn->next = sample[event_number].samplist;
 			sample[event_number].samplist = sn;
 
 			/* Imcrement the sample count for that event */
 			sample[event_number].samples++;
 
 			/*
-			 | Copy the sample name into the node, converting it into
-			 | RISC OS style as we go.
+			   | Copy the sample name into the node, converting it into
+			   | RISC OS style as we go.
 			 */
-			for ( i=0; !isspace(s[i]) && s[i]; i++ )
+			for (i = 0; !isspace(s[i]) && s[i]; i++)
 			{
-				if ( s[i] == '.' )
+				if (s[i] == '.')
 					sn->sample_name[i] = '/';
-				else if ( s[i] == '/' )
+				else if (s[i] == '/')
 					sn->sample_name[i] = '.';
 				else
 					sn->sample_name[i] = s[i];
 			}
 			/*
-			 | The sample name '*' is special and means "no new sound"
-			 | so don't store a filename for these mappings.
+			   | The sample name '*' is special and means "no new sound"
+			   | so don't store a filename for these mappings.
 			 */
-			if ( i==1 && sn->sample_name[0]=='*' ) { i=0; }
+			if (i == 1 && sn->sample_name[0] == '*')
+			{
+				i = 0;
+			}
 			sn->sample_name[i] = 0;
 		}
 	}
 
 	/* Close the file */
@@ -6104,16 +6576,16 @@
 	if (show_sound_alloc)
 	{
 		int i;
 		SampNode *l;
 
-		for ( i=0; i<SOUND_MAX ; i++ )
+		for (i = 0; i < SOUND_MAX; i++)
 		{
-			fprintf(dbo,"\n\nEvent '%s'",angband_sound_name[i]);
-			fprintf(dbo," (%d sounds)\n",sample[i].samples);
-			for ( l = sample[i].samplist; l ; l=l->next )
-				fprintf(dbo,"\t%s\n",l->sample_name);
+			fprintf(dbo, "\n\nEvent '%s'", angband_sound_name[i]);
+			fprintf(dbo, " (%d sounds)\n", sample[i].samples);
+			for (l = sample[i].samplist; l; l = l->next)
+				fprintf(dbo, "\t%s\n", l->sample_name);
 		}
 		fclose(dbo);
 	}
 
 }
@@ -6122,73 +6594,83 @@
 
 /*
  | Try to make sure that PlayIt is loaded.
  | This requires AngSound rel. 4
  */
-static void check_playit( void )
+static void check_playit(void)
 {
-	if ( SWI( 2,0, SWI_OS_Module, 18, "PlayIt" ) )
+	if (SWI(2, 0, SWI_OS_Module, 18, "PlayIt"))
 	{
 		int t;
-		SWI( 2,1, SWI_OS_File, 17, "Angsound:LoadPlayIt", &t );
-		if ( t==1 )
-			SWI( 1,0, SWI_OS_CLI, "RMEnsure PlayIt 0.00 Run AngSound:LoadPlayIt" );
+		SWI(2, 1, SWI_OS_File, 17, "Angsound:LoadPlayIt", &t);
+		if (t == 1)
+			SWI(1, 0, SWI_OS_CLI,
+				"RMEnsure PlayIt 0.00 Run AngSound:LoadPlayIt");
 	}
 }
 
 
 
 
-static void initialise_sound( void )
+static void initialise_sound(void)
 {
 	/* Load the configuration file */
 	Hourglass_On();
 	read_sound_config();
 	check_playit();
 	Hourglass_Off();
 }
 
 
 
-static void play_sample( char *leafname )
+static void play_sample(char *leafname)
 {
 	char buffer[260];
 
-	strcpy(buffer,"%playit_stop");
-	if ( !SWI(1,0,SWI_OS_CLI,buffer) )
+	strcpy(buffer, "%playit_stop");
+
+	if (!SWI(1, 0, SWI_OS_CLI, buffer))
 	{
-		SWI( 1,0, SWI_PlayIt_Volume, sound_volume );
-		sprintf(buffer,"%%playit_play %s%s",SOUNDPATH,leafname);
-		SWI(1,0,SWI_OS_CLI,buffer);
+		SWI(1, 0, SWI_PlayIt_Volume, sound_volume);
+		sprintf(buffer, "%%playit_play %sSound:%s", RISCOS_VARIANT, leafname);
+		SWI(1, 0, SWI_OS_CLI, buffer);
 	}
+
+	return;
 }
 
 
 
-static void play_sound( int event )
+static void play_sound(int event)
 {
 	/* Paranoia */
-	if ( !sound_initd ) { return; }
+	if (!sound_initd)
+	{
+		return;
+	}
 
 	/* Paranoia */
-	if ( event<0 || event>=SOUND_MAX )
+	if (event < 0 || event >= SOUND_MAX)
 		return;
 
 	/* msg_format("Sound '%s'",angband_sound_name[event]); */
 
 	/* Choose a sample */
-	if ( sample[event].samples )
+	if (sample[event].samples)
 	{
 		int s = rand() % sample[event].samples;
 		SampNode *sn = sample[event].samplist;
-		while ( s-- )
+		while (s--)
 		{
 			sn = sn->next;
-			if ( !sn ) { plog("Adny botched the sound config - please send him a copy of your sound/cfg file."); }
+			if (!sn)
+			{
+				plog("Adny botched the sound config - please send him a copy of your sound/cfg file.");
+			}
 		}
-		if ( *(sn->sample_name) )
-			play_sample( sn->sample_name );
+		if (*(sn->sample_name))
+			play_sample(sn->sample_name);
 	}
 }
 
 
 
